from pyparsing import QuotedString, ZeroOrMore, Word, alphas, Suppress

noncomma = QuotedString('"', unquoteResults=False) | Word(alphas)

commas = noncomma + ZeroOrMore(Suppress(',') + noncomma)

sentence = ' "A, B", C, "D, E" '

print sentence
print 'split'
for item in sentence.split(','):
    print item

print
print 'Parser'
for item in commas.parseString(sentence):
    print item
